package com.cpms.project.process.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.cpms.project.process.mapper.TMocMapper;
import com.cpms.project.process.domain.TMoc;
import com.cpms.project.process.service.ITMocService;

/**
 * MOC清单Service业务层处理
 * 
 * @author admin
 * @date 2024-04-08
 */
@Service
public class TMocServiceImpl implements ITMocService 
{
    @Autowired
    private TMocMapper tMocMapper;

    /**
     * 查询MOC清单
     * 
     * @param id MOC清单主键
     * @return MOC清单
     */
    @Override
    public TMoc selectTMocById(Long id)
    {
        return tMocMapper.selectTMocById(id);
    }

    @Override
    public TMoc selectTMocByMocNo(String mocNo)
    {
        return tMocMapper.selectTMocByMocNo(mocNo);
    }

    /**
     * 查询MOC清单列表
     * 
     * @param tMoc MOC清单
     * @return MOC清单
     */
    @Override
    public List<TMoc> selectTMocList(TMoc tMoc)
    {
        return tMocMapper.selectTMocList(tMoc);
    }

    /**
     * 新增MOC清单
     * 
     * @param tMoc MOC清单
     * @return 结果
     */
    @Override
    public int insertTMoc(TMoc tMoc)
    {
        return tMocMapper.insertTMoc(tMoc);
    }

    /**
     * 修改MOC清单
     * 
     * @param tMoc MOC清单
     * @return 结果
     */
    @Override
    public int updateTMoc(TMoc tMoc)
    {
        return tMocMapper.updateTMoc(tMoc);
    }

    /**
     * 批量删除MOC清单
     * 
     * @param ids 需要删除的MOC清单主键
     * @return 结果
     */
    @Override
    public int deleteTMocByIds(Long[] ids)
    {
        return tMocMapper.deleteTMocByIds(ids);
    }

    /**
     * 删除MOC清单信息
     * 
     * @param id MOC清单主键
     * @return 结果
     */
    @Override
    public int deleteTMocById(Long id)
    {
        return tMocMapper.deleteTMocById(id);
    }
}
